%define anolis_release 1

Summary: An Enchanting Spell Checking Library
Name: enchant
Version: 1.6.0
Release: %{anolis_release}%{?dist}
Epoch: 1
License: LGPLv2+
Source: http://www.abisource.com/downloads/enchant/%{version}/enchant-%{version}.tar.gz
URL: http://www.abisource.com/
BuildRequires:  gcc-c++
BuildRequires: glib2-devel >= 2.6.0
BuildRequires: aspell-devel
BuildRequires: hunspell-devel
BuildRequires: libvoikko-devel
BuildRequires: automake, libtool
BuildRequires: make

%description
A library that wraps other spell checking backends.

%package aspell
Summary: Integration with aspell for libenchant
Requires: enchant = %{EVR}

%description aspell
Libraries necessary to integrate applications using libenchant with aspell.

%package voikko
Summary: Integration with voikko for libenchant
Requires: enchant = %{EVR}

%description voikko
Libraries necessary to integrate applications using libenchant with voikko.


%package devel
Summary: Support files necessary to compile applications with libenchant.
Requires: enchant = %{EVR}
Requires: glib2-devel

%description devel
Libraries, headers, and support files necessary to compile applications using libenchant.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q

%build
%configure --enable-myspell --with-myspell-dir=/usr/share/hunspell --disable-static --disable-ispell --disable-hspell --disable-zemberek
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
rm -f $RPM_BUILD_ROOT/%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT/%{_libdir}/enchant/*.la

%generate_compatibility_deps

%files
%{_bindir}/*
%{_libdir}/lib*.so.*
%dir %{_libdir}/enchant
%{_libdir}/enchant/lib*myspell.so*
%{_mandir}/man1/enchant.1*
%{_datadir}/enchant
%{abidir}/lib*myspell.dump
%{abidir}/libenchant.dump
%{abidir}/enchant*-option.list


%files aspell
%{_libdir}/enchant/lib*aspell.so*
%{abidir}/lib*aspell.dump

%files voikko
%{_libdir}/enchant/lib*_voikko.so*
%{abidir}/lib*_voikko.dump

%files devel
%dir %{abidir}
%{_libdir}/*.so
%{_libdir}/pkgconfig/enchant.pc
%{_includedir}/enchant

%files doc
%doc AUTHORS COPYING.LIB README

%ldconfig_scriptlets

%changelog
* Fri Mar 15 2024 mgb01105731 <mgb01105731@alibaba-inc.com> - 1:1.6.0-1
- Init upstream from version 1.6.0
